package com.inspur.service;

import com.inspur.domain.ElevatorPersonInfo;
import java.util.List;

/**
 * 人员信息Service接口
 *
 * @author inspur
 * @date 2024-09-30
 */
public interface IElevatorPersonInfoService
{
    /**
     * 查询人员信息
     *
     * @param id 人员信息主键
     * @return 人员信息
     */
    public ElevatorPersonInfo selectElevatorPersonInfoById(Long id);

    /**
     * 查询人员信息列表
     *
     * @param elevatorPersonInfo 人员信息
     * @return 人员信息集合
     */
    public List<ElevatorPersonInfo> selectElevatorPersonInfoList(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 新增人员信息
     *
     * @param elevatorPersonInfo 人员信息
     * @return 结果
     */
    public int insertElevatorPersonInfo(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 修改人员信息
     *
     * @param elevatorPersonInfo 人员信息
     * @return 结果
     */
    public int updateElevatorPersonInfo(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 批量删除人员信息
     *
     * @param ids 需要删除的人员信息主键集合
     * @return 结果
     */
    public int deleteElevatorPersonInfoByIds(Long[] ids);

    /**
     * 删除人员信息信息
     *
     * @param id 人员信息主键
     * @return 结果
     */
    public int deleteElevatorPersonInfoById(Long id);
}
